summaryrefslogtreecommitdiff
path: root/eclass
diff options
context:
space:
mode:
authorMike Frysinger <vapier@gentoo.org>2003-07-22 18:42:59 +0000
committerMike Frysinger <vapier@gentoo.org>2003-07-22 18:42:59 +0000
commitf081738e1ecb525d339aff3e8e39e2649bd53e6c (patch)
tree5cbee7d5e43433aa23cdc3b78255d4fda4052e91 /eclass
parentunmasking nasm on amd64 (diff)
downloadhistorical-f081738e1ecb525d339aff3e8e39e2649bd53e6c.tar.gz
historical-f081738e1ecb525d339aff3e8e39e2649bd53e6c.tar.bz2
historical-f081738e1ecb525d339aff3e8e39e2649bd53e6c.zip
support makeself archives that arent gzipped
Diffstat (limited to 'eclass')
-rw-r--r--eclass/eutils.eclass10
1 files changed, 7 insertions, 3 deletions
diff --git a/eclass/eutils.eclass b/eclass/eutils.eclass
index f5f47db500e2..edcd8933703c 100644
--- a/eclass/eutils.eclass
+++ b/eclass/eutils.eclass
@@ -1,6 +1,6 @@
# Copyright 1999-2003 Gentoo Technologies, Inc.
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/eutils.eclass,v 1.45 2003/07/18 20:43:00 wolf31o2 Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/eutils.eclass,v 1.46 2003/07/22 18:42:59 vapier Exp $
#
# Author: Martin Schlemmer <azarah@gentoo.org>
#
@@ -873,6 +873,10 @@ unpack_makeself() {
# we do this because otherwise a failure in gzip will cause 0 bytes to be sent
# to tar which will make tar not extract anything and exit with 0
- local out="`tail +${skip} ${src} | gzip -cd | tar -x --no-same-owner -v -f -`"
- [ -z "${out}" ] && die "failure unpacking makeself ${shrtsrc} ('${ver}' +${skip})"
+ local out="`(tail +${skip} ${src} | gzip -cd | tar -x --no-same-owner -f -) 2>&1`"
+ if [ ! -z "${out}" ] ; then
+ # maybe it isnt gzipped ... they usually are, but not always ...
+ tail +${skip} ${src} | tar -x --no-same-owner -f - \
+ || die "failure unpacking makeself ${shrtsrc} ('${ver}' +${skip})"
+ fi
}